# -----------------------------------------------------------------------------
# f2cad: Convert Fortran to C++ AD Types: Copyright (C) 2005-10 Bradley M. Bell
# Authors:  Bradley M. Bell    bradbell at washington dot edu
# License:  GNU Public License Version 2 or higher
# -----------------------------------------------------------------------------
# xerror prototype is a special case
s/int xerror_(char [*]messg,/int xerror_(const char *messg,/
s/int xerror_(char [*],/int xerror_(const char *,/
#
# Convert because all calcualtions are in double
s/\([^a-z]\)r1mach_ *(/\1d1mach_(/g
#
# Use f2cad::dinit_ instead of libf77.a d_int routine.
s/\([^a-z]\)d_int *(/\1f2cad::dint_(/g
#
s/^# *include *\"f2c\.h\"/# include <f2cad\/f2cad.hpp>/
#
s/f2cad.hpp>/&\
namespace f2cad {/
#
$,$s|$|\n} // end namespace|
#
# change conversions doublereal->integer to doublereal->double->integer
# (may need to handle more cases)
s/(integer) *(\([^(]*([^(]*) *\))/(integer) Value(\1)/
s/(integer) *(\([^(]*\))/(integer) Value(\1)/
s/(integer) *\([a-z_][a-z_]*\)/(integer) Value(\1)/
#
# comment out the Built in functions section
/\/\* Builtin functions/! b end
:loop
N
/Local variables \*\//! b loop
s/^/# if 0\n/
s/$/\n# endif/
#
:end

