#! /bin/sh
# -----------------------------------------------------------------------------
# f2cad: Convert Fortran to C++ AD Types: Copyright (C) 2005-10 Bradley M. Bell
# Authors:  Bradley M. Bell    bradbell at washington dot edu
# License:  GNU Public License Version 2 or higher
# -----------------------------------------------------------------------------
package_list="$*"
if [ -e "test.log" ]
then
	echo "rm test.log"
	rm test.log
fi
ok="true"
for package in $package_list
do
	for dir in example get_started
	do
		cd $dir/$package
		if ! make test
		then
			ok="false"
		fi
		echo "$dir/$package" >> ../../test.log
		cat test.log >> ../../test.log
		cd ../..
	done
done
if [ "$ok" = "true" ]
then
	exit 0
fi
echo "test.sh: error durring one of the tests; see test.log"
exit 1
